Request class for BatchGetItem operation which supports a single model class only.

### Type parameters

- #### T

### Hierarchy

- BaseRequest<T, BatchGetItemInput, BatchGetSingleTableRequest<T>>
  - BatchGetSingleTableRequest

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- metadata
- modelClazz
- params
- tableName

### Methods

- consistentRead
- exec
- execFullResponse
- execNoMap
- returnConsumedCapacity

## Constructors

### constructor

- new BatchGetSingleTableRequest(dynamoDBWrapper: DynamoDbWrapper, modelClazz: ModelConstructor<T>, keys: Array<Partial<T>>): BatchGetSingleTableRequest

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:23

  #### Parameters

  - ##### dynamoDBWrapper: DynamoDbWrapper

  - ##### modelClazz: ModelConstructor<T>

  - ##### keys: Array<Partial<T>>

  #### Returns BatchGetSingleTableRequest

## Properties

### dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

Inherited from BaseRequest.dynamoDBWrapper

- Defined in dynamo/request/base.request.ts:29

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:39

metadata created from modelClazz

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:34

corresponding Model Class

### params

params: BatchGetItemInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:49

request input object

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:44

tableName created with configured tableNameResolver function

## Methods

### consistentRead

- consistentRead(value?: boolean): BatchGetSingleTableRequest<T>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:40

  #### Parameters

  - ##### Default value value: boolean = true

  #### Returns BatchGetSingleTableRequest<T>

### exec

- exec(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Promise<T[]>

- Overrides BaseRequest.exec

  - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:76

  fetch all entries and return the parsed items

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    when unprocessed keys are returned the next value of backoffTimer is used to determine how many time slots to wait before doing the next request

  - ##### Default value throttleTimeSlot: number = BATCH_GET_DEFAULT_TIME_SLOT

    the duration of a time slot in ms

  #### Returns Promise<T[]>

### execFullResponse

- execFullResponse(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Promise<BatchGetSingleTableResponse<T>>

- Overrides BaseRequest.execFullResponse

  - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:62

  fetch all entries and return an object containing the mapped items and the other response data

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    when unprocessed keys are returned the next value of backoffTimer is used to determine how many time slots to wait before doing the next request

  - ##### Default value throttleTimeSlot: number = BATCH_GET_DEFAULT_TIME_SLOT

    the duration of a time slot in ms

  #### Returns Promise<BatchGetSingleTableResponse<T>>

### execNoMap

- execNoMap(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Promise<BatchGetItemOutput>

- - Defined in dynamo/request/batchgetsingletable/batch-get-single-table.request.ts:50

  fetch all entries and return the raw response (without parsing the attributes to js objects)

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    when unprocessed keys are returned the next value of backoffTimer is used to determine how many time slots to wait before doing the next request

  - ##### Default value throttleTimeSlot: number = BATCH_GET_DEFAULT_TIME_SLOT

    the duration of a time slot in ms

  #### Returns Promise<BatchGetItemOutput>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): BatchGetSingleTableRequest<T>

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:75

  return ConsumedCapacity of the corresponding table(s) in the response

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

    not all requests support all values

  #### Returns BatchGetSingleTableRequest<T>